package com.example.wabi.view.components.images

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.ColorFilter
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.res.vectorResource
import androidx.compose.ui.unit.dp
import com.example.wabi.R
import com.example.wabi.ui.theme.WabiTheme

@Composable
fun StandartProfileImage(modifier: Modifier = Modifier) {
    Box(
        modifier = modifier.background(
                WabiTheme.colors.singleColor, shape = RoundedCornerShape(30.dp)
            ), contentAlignment = Alignment.Center
    ) {
        Image(
            imageVector = ImageVector.vectorResource(R.drawable.man_vector),
            contentDescription = "standartProfileImage",
            colorFilter = ColorFilter.tint(WabiTheme.colors.onBoardLight),
            modifier = Modifier.padding(20.dp)
        )
    }
}